> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize Seo Google

> Build the GSC + GA4 read-only consent URL for a workspace.



## OpenAPI

````yaml /openapi.json get /api/v1/seo-integrations/authorize
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/seo-integrations/authorize:
    get:
      tags:
        - SEO Integrations
        - SEO Integrations
      summary: Authorize Seo Google
      description: Build the GSC + GA4 read-only consent URL for a workspace.
      operationId: authorize_seo_google_api_v1_seo_integrations_authorize_get
      parameters:
        - name: workspace_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SeoAuthorizeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SeoAuthorizeResponse:
      properties:
        auth_url:
          type: string
          title: Auth Url
      type: object
      required:
        - auth_url
      title: SeoAuthorizeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````